package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.DeviceUseStatusEnum;
import com.qmth.sop.common.enums.MailTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * @Description: 设备去处登记更新参数
 * @Author: haoguanghui
 * @Date: 2024/05/16
 */
public class DevicePlaceParam {

    @ApiModelProperty("id")
    @NotNull(message = "缺少id")
    @Range(min = 1L, message = "缺少id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty("使用方式: TRANSFER-中转，IN-入库")
    private DeviceUseStatusEnum transferStatus;

    @ApiModelProperty("中转方式: MAIL-邮寄，OTHER-其他")
    private MailTypeEnum transferMode;

    @ApiModelProperty("快递单号")
    private String expressNo;

    @ApiModelProperty("接收方单号")
    private String receiveCrmNo;

    @ApiModelProperty("备注")
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public DeviceUseStatusEnum getTransferStatus() {
        return transferStatus;
    }

    public void setTransferStatus(DeviceUseStatusEnum transferStatus) {
        this.transferStatus = transferStatus;
    }

    public MailTypeEnum getTransferMode() {
        return transferMode;
    }

    public void setTransferMode(MailTypeEnum transferMode) {
        this.transferMode = transferMode;
    }

    public String getExpressNo() {
        return expressNo;
    }

    public void setExpressNo(String expressNo) {
        this.expressNo = expressNo;
    }

    public String getReceiveCrmNo() {
        return receiveCrmNo;
    }

    public void setReceiveCrmNo(String receiveCrmNo) {
        this.receiveCrmNo = receiveCrmNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
